<?php
/*
 * shows total traffic for
 * apropriate local_data_id
 * for specified data range
 */
 
if ($_SERVER['argc'] <5) die("usage: php ".basename(__FILE__)." local_data_id start_timestamp end_timestamp rra\n");

$cp="/opt/tinklas";
@require("$cp/include/global.php");
require("$cp/lib/rrd.php");
require("$cp/lib/graph_variables.php");

$local_data_id = $_SERVER['argv']['1'];
$start_time = $_SERVER['argv']['2'];
$end_time = $_SERVER['argv']['3'];
$ds_step = $_SERVER['argv']['4'];

$final_res = bandwidth_summation($local_data_id, $start_time, $end_time, 1, $ds_step);

$results = rrdtool_function_fetch($local_data_id, $start_time, $end_time,300,1);
foreach ($results['data_source_names'] as $id => $value) {
    $ts[$id] = 0;
    foreach ($results['values'][$id] as $val) {
	if ($val == 'U') $ts[$id]++;
	else break;
    }
}

sort($ts); reset($ts);
$first_ts = current($ts);
$first_ts = $first_ts == 0 ? $start_time : (1800*$first_ts+$start_time+3600);

$final_res['begin_ts'] = $first_ts;

echo var_export($final_res);
?>
