<?php
if (!isset($_SERVER['argv'][1]))
    die("usage: php ".basename(__FILE__)." \"local_graph_id1;local_graph_id2;local_graph_id3\"\n");

include(dirname(__FILE__) . "/../include/global.php");
include(dirname(__FILE__) . "/../lib/rrd.php");
include(dirname(__FILE__) . "/../lib/graph_variables.php");

function getTraffic($l_g_i) {
    global $cp;
	
	$start_time='-30days';
	$end_time='N';
    
	$phppth=read_config_option("path_php_binary")	;
	$result=false;	

	if (empty($l_g_i))
	    return array("ERROR"=>array("value"=>"nera duomenu"));

	foreach ($l_g_i as $lgi) {
	    $i=0;
	    
	    $data = db_fetch_assoc("SELECT
					graph_templates_graph.local_graph_id,
		    			data_template_data.local_data_id,
		    			graph_templates_graph.base_value,
					graph_templates_graph.title_cache
				    FROM (
		    			graph_templates_graph,
		    			data_template_data 
		    			)
				    WHERE (
		    			graph_templates_graph.title_cache=data_template_data.name_cache and 
		    			graph_templates_graph.local_graph_id=$lgi
		    		    )");
	    if (empty($data)) continue;

	    $local_data_id = $data[0]['local_data_id'];
	    $local_graph_id = $data[0]['local_graph_id'];
	    $base = $data[0]['base_value'];
	    $title = $data[0]['title_cache'];

	    $results[$title] = popen("$phppth ".dirname(__FILE__)."/sub_tot_traff_lgid.php $local_data_id \"$start_time\" \"$end_time\"","r");
	}
	if (empty($results)) die("empty data\n");
	$i = 0;
	$tot_in=$tot_out=0;
	foreach ($results as $title => $descriptor) {
		$data='';
	        if (!$descriptor) continue;
		while ($curr = fgets($descriptor))
		    $data .= $curr;
		pclose($descriptor);
		@eval("\$bandwidth=$data;");
		if(!isset($bandwidth)) continue;
		$tot_in += ($bandwidth['traffic_in']*8);
		$tot_out += ($bandwidth['traffic_out']*8);
		
		$result[$i]['pavadinimas'] = $title;
		$result[$i]['traffic_in'] = $bandwidth['traffic_in']*8;
		$result[$i]['traffic_out'] = $bandwidth['traffic_out']*8;
	    $i++;
	}
	
	$result[]=array('CURR_IN'=>$tot_in,'CURR_OUT'=>$tot_out);
	//return $result;
	//print_r($result);
	return "total_in:$tot_in total_out:$tot_out\n";
    }

echo getTraffic(explode(";",$_SERVER['argv'][1]));
?>
